Bug 211471 - [bsdinstall] Hardening menu option "kern.randompid" not written to cfg
Summary: [bsdinstall] Hardening menu option "kern.randompid" not written to cfg
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: 11.0-BETA3
Hardware: Any Any
: --- Affects Many People
Assignee: Steven Kreuzer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-30 21:05 UTC by surv
Modified: 2017-03-06 14:35 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description surv 2016-07-30 21:05:45 UTC
Note the item "Randomize the PID of newly created processes" in new System Hardening menu.
It not detected in /etc/sysctl.conf

root# sysctl kern.randompid
kern.randompid: 0
Comment 1 commit-hook freebsd_committer 2016-08-09 15:58:26 UTC
A commit references this bug:

Author: skreuzer
Date: Tue Aug  9 15:57:37 UTC 2016
New revision: 303877
URL: https://svnweb.freebsd.org/changeset/base/303877

Log:
  Write kern.randompid to /etc/sysctl.conf

  PR:		211471
  Reported by:	survo@protonmail.com
  Reviewed by:	robak@
  Approved by:	allanjude@
  MFC after:	3 days
  Differential Revision:	 https://reviews.freebsd.org/D7440

Changes:
  head/usr.sbin/bsdinstall/scripts/hardening